package timeslice

import (
	"encoding/json"
	"time"
)

type Manager struct {
	StartTime      time.Time // 开始时间
	EndTime        time.Time // 结束时间
	ProductNo      string    // 产品编号
	BatchNo        string    // 微信批次号
	GoNum          int       // 并发数
	TimeSliceHours int64     // 时间片"小时"
}

func (m *Manager) String() string {
	b, _ := json.Marshal(m)
	return string(b)
}

type Process struct {
	Manager   *Manager
	TaskCount int // 任务数
}

func (m *Process) String() string {
	b, _ := json.Marshal(m)
	return string(b)
}

type Task struct {
	Process          *Process
	CurrentStartTime time.Time // 时间片开始时间
	CurrentEndTime   time.Time // 时间片结束时间
	TaskID           int       // 任务ID
}

func (m *Task) String() string {
	b, _ := json.Marshal(m)
	return string(b)
}
